org.eclipse.ease.lang.unittest.reporters

## Interface IReportGenerator

All Known Implementing Classes:
  JUnitReportGenerator

    public interface IReportGenerator

Interface for a test report generator.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`java.lang.String` `createReport(java.lang.String title, java.lang.String description, ITestEntity testEntity)` Creates report data as string.
`default java.lang.String` `createReport(java.lang.String title, java.lang.String description, ITestEntity testEntity, java.lang.Object reportData)` Creates report data as string.
`java.lang.String` `getDefaultExtension()` Returns the default file extension to be used for this kind of report without the preceding dot (eg "txt").

### Method Detail

#### createReport

    java.lang.String createReport(java.lang.String title,
                                  java.lang.String description,
                                  ITestEntity testEntity)

Creates report data as string.

Parameters:
  `title` - report title
  `description` - generic description
  `testEntity` - test element to be exported
Returns:
  String containing full test report

#### createReport

    default java.lang.String createReport(java.lang.String title,
                                          java.lang.String description,
                                          ITestEntity testEntity,
                                          java.lang.Object reportData)

Creates report data as string.

Parameters:
  `title` - report title
  `description` - generic description
  `testEntity` - test element to be exported
  `reportData` - additional report data. Specific to report type. Could be `null`
Returns:
  String containing full test report

#### getDefaultExtension

    java.lang.String getDefaultExtension()

Returns the default file extension to be used for this kind of report without the preceding dot (eg "txt").

Returns:
  file extension to be used